diff -uwr sourceold/scripts/tcw_center_point.cpp source/scripts/tcw_center_point.cpp
--- sourceold/scripts/tcw_center_point.cpp	2012-02-02 09:44:43.169921800 +0800
+++ source/scripts/tcw_center_point.cpp	2012-06-09 08:11:12.362304600 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -20,28 +20,68 @@
 #include "SoldierGameObj.h"
 #include "VehicleGameObj.h"
 
+//0=nod 1=gdi 2=neu current animations for spawnpads
+
 void tcw_cp_cruiser_countdown_point::Created(GameObject *obj)
 {
+	Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,2,2,false);
+	spawnpad1 = Get_Int_Parameter("SpawnPad1ID");
+	if (Commands->Find_Object(spawnpad1))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad2 = Get_Int_Parameter("SpawnPad2ID");
+	if (Commands->Find_Object(spawnpad2))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad3 = Get_Int_Parameter("SpawnPad3ID");
+	if (Commands->Find_Object(spawnpad3))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
+	spawnpad4 = Get_Int_Parameter("SpawnPad4ID");
+	if (Commands->Find_Object(spawnpad4))
+	{
+		Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+	}
 	nod_bar_turret_id = 100065; nod_ref_turret_id = 100067; gdi_hand_turret_id = 100068; gdi_ref_turret_id = 100070;	
 	nodveh1id = 0; nodveh2id = 0; gdiveh1id = 0; gdiveh2id = 0;
 	Commands->Set_Player_Type(obj,-2);
 	Commands->Set_Health(obj,2.0f);
 	create_cruiser_countdown_object = true;
+	trigger_neutral_damage = true;
 }
 void tcw_cp_cruiser_countdown_point::Damaged(GameObject *obj, GameObject *damager, float damage)
 {
 	if (Commands->Is_A_Star(damager))//is it a player?
 	{
-		if (damage < 0.0f)//if damage is less than 0 it must being repaired...
+		if ((damage < 0.0f) && (Commands->Get_Player_Type(obj) == -2))
+		{
+			if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if fully repaired
+			{
+				if (Commands->Get_Player_Type(damager) == 0)
 		{
-			if (Commands->Get_Player_Type(obj) == -2)//unteamed
+					trigger_neutral_damage = true;
+					Commands->Set_Player_Type(obj,0);
+					Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,0,0,false);
+					if (Commands->Find_Object(spawnpad1))
 			{
-				Commands->Set_Player_Type(obj,Commands->Get_Player_Type(damager));//if someone is repairing it then set it to their team
+						Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
 			}
-			if (Commands->Get_Player_Type(obj) == 0) //if it is nods
+					if (Commands->Find_Object(spawnpad2))
 			{
-				if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if fully repaired
+						Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+					}
+					if (Commands->Find_Object(spawnpad3))
+					{
+						Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+					}
+					if (Commands->Find_Object(spawnpad4))
 				{
+						Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,0,0,false);
+					}
+
 					if (create_cruiser_countdown_object)//if the cruisercountdown object may be created
 					{
 						Send_Message(255,255,255,"Nod has captured the Countdown Control Point. One Minute for Cruiser Attacks.");
@@ -88,11 +128,28 @@
 						}
 					}
 				}
+				else if (Commands->Get_Player_Type(damager) == 1)
+				{
+					trigger_neutral_damage = true;
+					Commands->Set_Player_Type(obj,1);
+					Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,1,1,false);
+					if (Commands->Find_Object(spawnpad1))
+					{
+						Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+					}
+					if (Commands->Find_Object(spawnpad2))
+					{
+						Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
 			}
-			else if (Commands->Get_Player_Type(obj) == 1)//if its gdi's
+					if (Commands->Find_Object(spawnpad3))
 			{
-				if (Commands->Get_Health(obj) == Commands->Get_Max_Health(obj))//if fully repaired
+						Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+					}
+					if (Commands->Find_Object(spawnpad4))
 				{
+						Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,1,1,false);
+					}
+
 					if (create_cruiser_countdown_object)
 					{
 						Send_Message(255,255,255,"GDI has captured the Countdown Control Point. One Minute for Cruiser Attacks.");
@@ -143,14 +200,19 @@
 		}
 		else if (damage > 0.0f)
 		{
-			if (Commands->Get_Player_Type(obj) == -2)
-			{
-				Commands->Set_Health(obj,2.0f);
-			}
-			else if (Commands->Get_Player_Type(damager) == 1)//if its gdi attacking it
+			if (Commands->Get_Player_Type(damager) == 1)//if its gdi attacking it
 			{
 				if (damage >= Commands->Get_Health(obj))//point is destroyed
 				{
+					Commands->Set_Player_Type(obj,-2);//it now belongs to gdi because they fully destroyed it
+					Commands->Set_Health(obj,2.0f);//we cant allow them to REALLY destroy it, otherwise the script halts and stuff....
+					if (trigger_neutral_damage)
+					{
+						Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
 					Send_Message(255,255,255,"Cruiser Attacks on GDI halted. Countdown Point destroyed.");
 					Vector3 tur1pos = Commands->Get_Position(Commands->Find_Object(nod_bar_turret_id));//bar attacking turret for nod
 					Vector3 tur2pos = Commands->Get_Position(Commands->Find_Object(nod_ref_turret_id));//ref attacking turret for nod
@@ -166,10 +228,8 @@
 					Commands->Set_Player_Type(tur2,0);
 					nod_bar_turret_id = Commands->Get_ID(tur1);//this is the new bar attacking turret for nod
 					nod_ref_turret_id = Commands->Get_ID(tur2);//this is the new ref attacking turret for nod
-					Commands->Set_Player_Type(obj,1);//it now belongs to gdi because they fully destroyed it
-					Commands->Set_Health(obj,2.0f);//we cant allow them to REALLY destroy it, otherwise the script halts and stuff....
 					create_cruiser_countdown_object = true;
-
+						Create_2D_WAV_Sound_Team("ControlPointLost_Nod.wav",0);
 					//destroy the spawned vehicles
 					if ( (Commands->Find_Object(nodveh1id)) && (!Get_Vehicle_Driver(Commands->Find_Object(nodveh1id))) )
 					{
@@ -179,12 +239,23 @@
 					{
 						Commands->Apply_Damage(Commands->Find_Object(nodveh2id),999999.0f,"Steel",obj);		nodveh2id = 0;
 					}
+						trigger_neutral_damage = false;
+					}
 				}
 			}
 			else if (Commands->Get_Player_Type(damager) == 0)//if its nod attacking it
 			{
 				if (damage >= Commands->Get_Health(obj))//point is destroyed
 				{
+					Commands->Set_Player_Type(obj,-2);//it now belongs to nod because they fully destroyed it
+					Commands->Set_Health(obj,2.0f);//we cant allow them to REALLY destroy it, otherwise the script halts and stuff....
+					if (trigger_neutral_damage)
+					{
+						Commands->Set_Animation(obj,"DOM_NODE.DOM_NODE",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad1),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad2),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad3),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
+						Commands->Set_Animation(Commands->Find_Object(spawnpad4),"NEU_PLATFRM_2.NEU_PLATFRM_2",false,0,2,2,false);
 					Send_Message(255,255,255,"Cruiser Attacks on Nod halted. Countdown Point destroyed.");
 					Vector3 tur1pos = Commands->Get_Position(Commands->Find_Object(gdi_hand_turret_id));//hon attacking turret for gdi
 					Vector3 tur2pos = Commands->Get_Position(Commands->Find_Object(gdi_ref_turret_id));//ref attacking turret for gdi
@@ -200,9 +271,8 @@
 					Commands->Set_Player_Type(tur2,1);
 					gdi_hand_turret_id = Commands->Get_ID(tur1);//this is the new hand attacking turret for gdi
 					gdi_ref_turret_id = Commands->Get_ID(tur2);//this is the new ref attacking turret for gdi
-					Commands->Set_Player_Type(obj,0);//it now belongs to nod because they fully destroyed it
-					Commands->Set_Health(obj,2.0f);//we cant allow them to REALLY destroy it, otherwise the script halts and stuff....
 					create_cruiser_countdown_object = true;
+						Create_2D_WAV_Sound_Team("ControlPointLost_GDI.wav",1);
 
 					//destroy the spawned vehicles
 					if ( (Commands->Find_Object(gdiveh1id)) && (!Get_Vehicle_Driver(Commands->Find_Object(gdiveh1id))) )
@@ -213,6 +283,8 @@
 					{
 						Commands->Apply_Damage(Commands->Find_Object(gdiveh2id),999999.0f,"Death",obj);		gdiveh2id = 0;
 					}
+						trigger_neutral_damage = false;
+					}
 				}
 			}
 		}
@@ -225,6 +297,7 @@
 	Auto_Save_Variable(&nodveh2id,sizeof(nodveh2id),3);
 	Auto_Save_Variable(&gdiveh1id,sizeof(gdiveh1id),4);
 	Auto_Save_Variable(&gdiveh2id,sizeof(gdiveh2id),5);
+	Auto_Save_Variable(&trigger_neutral_damage,sizeof(trigger_neutral_damage),6);
 }
 
 void tcw_cp_cruiser_countdown::Created(GameObject *obj)
@@ -294,4 +367,4 @@
 
 ScriptRegistrant<tcw_cp_cruiser_attack> tcw_cp_cruiser_attack_Registrant("tcw_cp_cruiser_attack","Attack_ID=1111:int,TurretID=0:int");
 ScriptRegistrant<tcw_cp_cruiser_countdown> tcw_cp_cruiser_countdown_Registrant("tcw_cp_cruiser_countdown","Team=0:int,NodTurretBar_ID=1:int,NodTurretRef_ID=1:int,GDITurretHon_ID=1:int,GDITurretRef_ID=1:int");
-ScriptRegistrant<tcw_cp_cruiser_countdown_point> tcw_cp_cruiser_countdown_point_Registrant("tcw_cp_cruiser_countdown_point","NodVeh1=asdf:string,NodVeh1Pos=0:vector3,NodVeh1Facing=0:float,NodVeh2=asdf:string,NodVeh2Pos=0:vector3,NodVeh2Facing=0:float,GDIVeh1=asdf:string,GDIVeh1Pos=0:vector3,GDIVeh1Facing=0:float,GDIVeh2=asdf:string,GDIVeh2Pos=0:vector3,GDIVeh2Facing=0:float");
\ No newline at end of file
+ScriptRegistrant<tcw_cp_cruiser_countdown_point> tcw_cp_cruiser_countdown_point_Registrant("tcw_cp_cruiser_countdown_point","NodVeh1=asdf:string,NodVeh1Pos=0:vector3,NodVeh1Facing=0:float,NodVeh2=asdf:string,NodVeh2Pos=0:vector3,NodVeh2Facing=0:float,GDIVeh1=asdf:string,GDIVeh1Pos=0:vector3,GDIVeh1Facing=0:float,GDIVeh2=asdf:string,GDIVeh2Pos=0:vector3,GDIVeh2Facing=0:float,SpawnPad1ID=0:int,SpawnPad2ID=0:int,SpawnPad3ID=0:int,SpawnPad4ID=0:int");
\ No newline at end of file
diff -uwr sourceold/scripts/tcw_center_point.h source/scripts/tcw_center_point.h
--- sourceold/scripts/tcw_center_point.h	2012-02-02 09:44:43.139648400 +0800
+++ source/scripts/tcw_center_point.h	2012-06-09 08:11:12.314453100 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -18,8 +18,10 @@
 	void Damaged(GameObject *obj, GameObject *damager, float damage);
 	public: void Register_Auto_Save_Variables();
 	bool create_cruiser_countdown_object;
+	bool trigger_neutral_damage;
 	int gdiveh1id; int gdiveh2id; int nodveh1id; int nodveh2id;
 	int nod_bar_turret_id; 	int nod_ref_turret_id; 	int gdi_hand_turret_id; int gdi_ref_turret_id;
+	int spawnpad1;	int spawnpad2;	int spawnpad3;	int spawnpad4;
 }; 
 
 class tcw_cp_cruiser_countdown : public ScriptImpClass {
diff -uwr sourceold/scripts/tcw_coop.cpp source/scripts/tcw_coop.cpp
--- sourceold/scripts/tcw_coop.cpp	2012-02-02 09:44:43.115234300 +0800
+++ source/scripts/tcw_coop.cpp	2012-06-09 08:11:12.123046800 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -16,6 +16,8 @@
 #include "engine.h"
 #include "tcw_coop.h"
 
+//The_Game()->Get_Game_Duration_S() to get elapsed time in seconds for some missions maybe
+
 void tcw_i_am_a_bot::Created(GameObject *obj)
 {
 	//lol
diff -uwr sourceold/scripts/tcw_coop.h source/scripts/tcw_coop.h
--- sourceold/scripts/tcw_coop.h	2012-02-02 09:44:43.180664000 +0800
+++ source/scripts/tcw_coop.h	2012-06-09 08:11:12.191406200 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
diff -uwr sourceold/scripts/tcw_coop_cruising.cpp source/scripts/tcw_coop_cruising.cpp
--- sourceold/scripts/tcw_coop_cruising.cpp	2012-02-02 09:44:43.161132800 +0800
+++ source/scripts/tcw_coop_cruising.cpp	2012-06-09 08:11:12.352539000 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -232,7 +232,7 @@
 	{
 		if (attack)
 		{
-			if (Commands->Get_Health(Find_Building(0,BuildingConstants::TYPE_REFINERY)) > 1.0f)//if the refinery is alive
+			if (Commands->Get_Health(Find_Building_By_Type(0,BuildingConstants::TYPE_REFINERY)) > 1.0f)//if the refinery is alive
 			{
 				ActionParamsStruct params;
 				int priority = 100;		float range = 1500.0f;		float deviation = 0.0f;		int primary = 1;
@@ -249,7 +249,7 @@
 					Commands->Action_Reset(obj,100);//stop attacking mode
 				}
 			}
-			else if (Commands->Get_Health(Find_Building(0,BuildingConstants::TYPE_SOLDIER_FACTORY)) > 1.0f)//if the hand is alive
+			else if (Commands->Get_Health(Find_Building_By_Type(0,BuildingConstants::TYPE_SOLDIER_FACTORY)) > 1.0f)//if the hand is alive
 			{
 				ActionParamsStruct params;
 				int priority = 100;		float range = 1500.0f;		float deviation = 0.0f;		int primary = 1;
diff -uwr sourceold/scripts/tcw_coop_cruising.h source/scripts/tcw_coop_cruising.h
--- sourceold/scripts/tcw_coop_cruising.h	2012-02-02 09:44:43.183593700 +0800
+++ source/scripts/tcw_coop_cruising.h	2012-06-09 08:11:12.381835900 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
diff -uwr sourceold/scripts/tcw_defence.cpp source/scripts/tcw_defence.cpp
--- sourceold/scripts/tcw_defence.cpp	2012-02-02 09:44:43.149414000 +0800
+++ source/scripts/tcw_defence.cpp	2012-06-09 08:11:12.334960900 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
@@ -313,11 +313,13 @@
 	switch(toggle)
 	{
 	case 0: //Case 0 prioritizes vehicles over infantry
-		if (Is_Soldier(old) && !(Is_Soldier(target)))
+		//if (Is_Soldier(old) && !(Is_Soldier(target)))
+		if ((old && old->As_SoldierGameObj()) && (target && !target->As_SoldierGameObj()))
 		{
 			return target; //new target is a vehicle
 		}
-		else if (!(Is_Soldier(old)) && Is_Soldier(target))
+		//else if (!(Is_Soldier(old)) && Is_Soldier(target))
+		else if (!(old && old->As_SoldierGameObj()) && (target && target->As_SoldierGameObj()))
 		{
 			return old; //old target is a vehicle
 		}
@@ -327,7 +329,8 @@
 		}
 		break;//just to be safe
 	case 1: //Case 1 prioritizes infantry over vehicles
-		if (Is_Soldier(old) && !(Is_Soldier(target)))
+		//if (Is_Soldier(old) && !(Is_Soldier(target)))
+		if ((old && old->As_SoldierGameObj()) && !(target && target->As_SoldierGameObj()))
 		{
 			if (Get_Vehicle(old))// Did the old target get in a vehicle?
 			{
@@ -338,7 +341,7 @@
 				return old; //old soldier
 			}
 		}
-		else if (!(Is_Soldier(old)) && Is_Soldier(target))
+		else if (!(old && old->As_SoldierGameObj()) && (target && target->As_SoldierGameObj()))
 		{
 			if (Get_Vehicle(target))// Did the new target get in a vehicle? 
 			{
@@ -523,7 +526,7 @@
 {
 	if (Get_Int_Parameter("AdjustAim"))
 	{
-		if (Is_Soldier(target))
+		if (target && target->As_SoldierGameObj())
 		{
 			return true;
 		}
@@ -531,4 +534,4 @@
 	return false;
 }
 
-ScriptRegistrant<tcw_Base_Defense> tcw_Base_Defense_Registrant("tcw_Base_Defense","MinRange=0.0:float,MaxRange=100.0:float,AntiAir=0:int,AntiGround=1:int,AdjustAim=0:int,TargetMode=0:int");
\ No newline at end of file
+ScriptRegistrant<tcw_Base_Defense> tcw_Base_Defense_Registrant("tcw_Base_Defense","MinRange=0.0:float,MaxRange=100.0:float,AntiAir=0:int,AntiGround=1:int,AdjustAim=0:int,TargetMode=0:int,Team=0:int");
\ No newline at end of file
diff -uwr sourceold/scripts/tcw_defence.h source/scripts/tcw_defence.h
--- sourceold/scripts/tcw_defence.h	2012-02-02 09:44:43.190429600 +0800
+++ source/scripts/tcw_defence.h	2012-06-09 08:11:12.215820300 +0800
@@ -1,5 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by zunnie - http://www.tiberiumcrystalwar.com
+	Scripts from - http://www.tiberiumcrystalwar.com
 	Copyright 2011-2012 MPF
 
 	This file is part of the Renegade scripts.dll
